/*! Copyright (c) 2009, Three Dub Media (http://code.google.com/p/color-js/) */

/**
 *
 * @author Three Dub Media (threedubmedia@gmail.com)
 * @license MIT License (http://www.opensource.org/licenses/mit-license.php)
 * @reference http://www.w3.org/TR/css3-color/
 * @updated 2010-06-11
 *
 */

window.Color.learn({ 
	'#113077': 'MikeBlue',
	'#FFFFCC': 'FullMoon',
	'#EEEEFF': 'BlueMoon',
	'#FF0080': 'Rose',
	'#8000FF': 'Burple',
	'#FF8000': 'October',
	'#80FF00': 'LemonLime',
	'#00FF80': 'NeonGreen',
	'#0080FF': 'CoolBlue',
	'#FF80FF': 'FadedMagenta',
	'#C040C0': 'DullMagenta',
	'#FF8080': 'FadedRed',
	'#C04040': 'DullRed',
	'#FFFF80': 'FadedYellow',
	'#C0C040': 'DullYellow',
	'#80FF80': 'FadedLime',
	'#40C040': 'DullLime',
	'#80FFFF': 'FadedCyan',
	'#40C0C0': 'DullCyan',
	'#8080FF': 'FadedBlue',
	'#4040C0': 'DullBlue',
	'#404040': 'Charcoal',
	'#E32636': 'AlizarinCrimson',
	'#E52B50': 'Amaranth',
	'#FFBF00': 'Amber',
	'#9966CC': 'Amethyst',
	'#FBCEB1': 'Apricot',
	'#7BA05B': 'Asparagus',
	'#3D2B1F': 'Bistre',
	'#0095B6': 'BondiBlue',
	'#B5A642': 'Brass',
	'#66FF00': 'BrightGreen',
	'#08E8DE': 'BrightTurquoise',
	'#CD7F32': 'Bronze',
	'#F0DC82': 'Buff',
	'#900020': 'Burgundy',
	'#CC5500': 'BurntOrange',
	'#E97451': 'BurntSienna',
	'#8A3324': 'BurntUmber',
	'#78866B': 'CamouflageGreen',
	'#C41E3A': 'Cardinal',
	'#960018': 'Carmine',
	'#F95A61': 'Carnation',
	'#ED9121': 'CarrotOrange',
	'#ACE1AF': 'Celadon',
	'#DE3163': 'Cerise',
	'#007BA7': 'Cerulean',
	'#2A52BE': 'CeruleanBlue',
	'#DFFF00': 'ChartreuseYellow',
	'#7B3F00': 'Cinnamon',
	'#0047AB': 'Cobalt',
	'#B87333': 'Copper',
	'#996666': 'CopperRose',
	'#FBEC5D': 'Corn',
	'#FFFDD0': 'Cream',
	'#1560BD': 'Denim',
	'#0000C8': 'DeepBlue',
	'#50C878': 'Emerald',
	'#990066': 'Eggplant',
	'#801818': 'FaluRed',
	'#4F7942': 'FernGreen',
	'#EEDC82': 'Flax',
	'#F64A8A': 'FrenchRose',
	'#E49B0F': 'Gamboge',
	'#465945': 'GrayAsparagus',
	'#CADABA': 'GrayTeaGreen',
	'#3FFF00': 'Harlequin',
	'#DF73FF': 'Heliotrope',
	'#F400A1': 'HollywoodCerise',
	'#FF00CC': 'HotMagenta',
	'#002FA7': 'KleinBlue',
	'#00A86B': 'Jade',
	'#CCCCFF': 'LavenderBlue',
	'#BDBBD7': 'LavenderGray',
	'#FBAED2': 'LavenderPink',
	'#FBA0E3': 'LavenderRose',
	'#FDE910': 'Lemon',
	'#C8A2C8': 'Lilac',
	'#0BDA51': 'Malachite',
	'#E0B0FF': 'Mauve',
	'#AF4035': 'MediumCarmine',
	'#EE82EE': 'MediumLavender',
	'#98FF98': 'MintGreen',
	'#ADDFAD': 'MossGreen',
	'#997A8D': 'MountbattenPink',
	'#FFDB58': 'Mustard',
	'#CC7722': 'Ochre',
	'#CFB53B': 'OldGold',
	'#796878': 'OldLavender',
	'#C08081': 'OldRose',
	'#FFA000': 'OrangePeel',
	'#77DD77': 'PastelGreen',
	'#FFD1DC': 'PastelPink',
	'#FFE5B4': 'Peach',
	'#FFCC99': 'PeachOrange',
	'#FADFAD': 'PeachYellow',
	'#D1E231': 'Pear',
	'#6600FF': 'PersianBlue',
	'#F77FBE': 'PersianPink',
	'#FF1CB1': 'PersianRose',
	'#FF9966': 'PinkOrange',
	'#CC8899': 'Puce',
	'#003153': 'PrussianBlue',
	'#FF7518': 'Pumpkin',
	'#734A12': 'RawUmber',
	'#00CCCC': 'RobinEggBlue',
	'#80461B': 'Russet',
	'#B7410E': 'Rust',
	'#FF9900': 'SafetyOrange',
	'#F4C430': 'Saffron',
	'#082567': 'Sapphire',
	'#92000A': 'Sangria',
	'#FF2400': 'Scarlet',
	'#FFD800': 'SchoolbusYellow',
	'#FFBA00': 'SelectiveYellow',
	'#704214': 'Sepia',
	'#FC0FC0': 'ShockingPink',
	'#003399': 'Smalt',
	'#B57EDC': 'SoftPurple',
	'#ACB78E': 'SwampGreen',
	'#FFCC00': 'Tangerine',
	'#C3B091': 'TanKhaki',
	'#483C32': 'Taupe',
	'#D0F0C0': 'TeaGreen',
	'#CD5700': 'Tawny',
	'#E2725B': 'TerraCotta',
	'#964B00': 'TreeBrown',
	'#120A8F': 'Ultramarine',
	'#003366': 'UniformBlue',
	'#FF4D00': 'Vermilion',
	'#991199': 'VioletEggplant',
	'#40826D': 'Viridian',
	'#C9A0DC': 'Wisteria',
	'#EBC2AF': 'Zinnwaldite'
});